/// <reference types="react" />
export type ContextualSearchStoryOption = {
    id: number;
    label: string;
    secondaryLabel: string;
};
export declare function useLazyOptions(size?: number): {
    options: ContextualSearchStoryOption[];
    loading: boolean;
    onLastOptionInView: () => Promise<void>;
    onSearchTextChange: import('react').Dispatch<import('react').SetStateAction<string>>;
};
export declare function getOptions(): ContextualSearchStoryOption[];
